2019-10-21 15:23 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001036FSSCPgraphicspublic2011-09-27 04:35
ReporterARSPR 
Assigned ToSwifty 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformP4 2.8 HT - 1.5GB - 7800GSOSWindows XPOS VersionSP2
Product Version3.6.9 
Target VersionFixed in Version3.6.14 
Summary0001036: Thruster's behind other ships hull
DescriptionPlease look at the screenshot taken from Derelict's "The Stars are right".

You can see how Lucy's thurster appears behind parts of Ganimede Ring which are actually behind them.
Additional Information(I've played this mission 4 million times and I've just discovered it).

(Maybe related to the real cause of 961 speed-drop?)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0006621

ARSPR (reporter)

* cough, cough *

Have you been able to take a look at this?

~0006622

taylor (administrator)

It's a rendering order problem. I doubt this will get fixed any time soon though.

~0012862

ARSPR (reporter)

Quite a long time. (My freetime is very low).

Nevertheless, this issue seems fixed.

Tested with 7811.

I upload a new screenshot and a test mission (It's Derelict original one, but without everything. It runs with plain FS2, no need for this mod vp data).

(Thanks to Valathil? Can you confirm it is actually fixed, please?)

~0012863

Swifty (developer)

Last edited: 2011-09-27 01:19

What happened is that thrusters are now batched rendered after all objects are rendered instead of being rendered with the objects. I made this change to get soft particle rendering working with thrusters. This essentially fixed this bug.

~0012864

ARSPR (reporter)

Credit to Swifty

(How good this remark from Valathil is: http://www.hard-light.net/forums/index.php?topic=78404.msg1550785#msg1550785)

Nevertheless if you consider it fixed, just close it.

~0012865

Swifty (developer)

Fixed as of Revision 7496 (soft particle commit).
+Notes

-Issue History
Date Modified Username Field Change
2006-09-04 12:07 ARSPR New Issue
2006-09-04 12:07 ARSPR File Added: Behind or above.jpg
2006-09-13 15:57 ARSPR Note Added: 0006621
2006-09-13 17:47 taylor Note Added: 0006622
2008-03-30 07:35 taylor Status new => confirmed
2011-09-26 16:44 ARSPR Note Added: 0012862
2011-09-26 16:44 ARSPR File Added: dl2-11-Test.fs2
2011-09-26 16:45 ARSPR File Added: Behind or above seems solved.jpg
2011-09-27 01:18 Swifty Note Added: 0012863
2011-09-27 01:19 Swifty Note Edited: 0012863
2011-09-27 03:50 ARSPR Note Added: 0012864
2011-09-27 04:35 Swifty Note Added: 0012865
2011-09-27 04:35 Swifty Status confirmed => resolved
2011-09-27 04:35 Swifty Fixed in Version => 3.6.14
2011-09-27 04:35 Swifty Resolution open => fixed
2011-09-27 04:35 Swifty Assigned To => Swifty
+Issue History